Page MenuHomePhabricator

Popups php unit tests mysteriously failing and blocking merges
Closed, ResolvedPublic3 Story Points

Description

PopupsContextTest::testIsTranslatedTitleBlacklisted is currently failing blocking merges in Popups.

22:00:27 Time: 27.96 seconds, Memory: 89.71MB
22:00:27 
22:00:27 There was 1 failure:
22:00:27 
22:00:27 1) PopupsContextTest::testIsTranslatedTitleBlacklisted
22:00:27 The title is blacklisted.
22:00:27 Failed asserting that false matches expected true.
22:00:27 
22:00:27 /workspace/src/extensions/Popups/tests/phpunit/PopupsContextTest.php:258
22:00:27 /workspace/src/tests/phpunit/MediaWikiTestCase.php:423
22:00:27 /workspace/src/maintenance/doMaintenance.php:94

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 4 2018, 10:55 PM
zeljkofilipin added a subscriber: zeljkofilipin.
ovasileva triaged this task as High priority.Sep 5 2018, 2:13 PM
Niedzielski added a subscriber: Niedzielski.
ovasileva set the point value for this task to 3.Sep 5 2018, 5:30 PM

Change 458274 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[mediawiki/extensions/Popups@master] Fix failing isTranslatedTitleBlacklistedTest

https://gerrit.wikimedia.org/r/458274

Change 458274 merged by Pmiazga:
[mediawiki/extensions/Popups@master] Fix failing isTranslatedTitleBlacklistedTest

https://gerrit.wikimedia.org/r/458274

Jdlrobson removed pmiazga as the assignee of this task.Sep 5 2018, 8:03 PM

Can skip QA, design review as a technical task.
Need a signer-offer. Any volunteers?

Niedzielski closed this task as Resolved.Sep 10 2018, 6:27 PM

The underlying reason was undetermined but the fresh code appears to be working correctly.